{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.applications.nushell;
in {
  options = {
    settings.applications.nushell.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable nushell shell
      '';
      default = false;
    };
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      eza    
      bat
    ];

    programs.bash = {
      enable = false;
    };

    programs.nushell = {
      enable = true;
    };

    programs.starship = {
      enable = true;
      enableNushellIntegration = true;
    };
  };
}
